import User from "../models/user.js"
import bcrypt from "bcryptjs";
import jwt from 'jsonwebtoken'
import config from "../config.js"

const mklogin = async (req, res) => {
    const { email } = req.body
    console.log(email)
    try {
        const user = await User.findOne({ email }).select('+name')
        console.log(user.name, user.nickname, user.email)

        const token = jwt.sign({ userId: user._id }, config.jwtSecret, {
            expiresIn: '7d'
        })
        res.cookie('token', token, {
            maxAge: config.cookieMaxAge,
            httpOnly: true,
            secure: config.env === 'production'
        })
        res.send('login successful')
    }
    catch (error){
        console.log(error)
        res.send(500).send('로그인에러')
    }

}


const getinfo = (req, res) => {
    // 1) 로그인 된 사용자 정보를 가져오기
    // 일단 1명으로 해놓고 설정

    // let users = await User.find().select('name nickname email password').exec()
    // return res.json(users)
    res.send('여기가 프로필이다.')


    //try catch로 오류잡는거 추가해야함
}

export default { mklogin , getinfo }